import request from "@/utils/request";
import { TypesysRegionDTO } from "@/types/DTO/sysRegionDTO";
import { TypeThreeDTO } from "@/types/commons/three";

// 获取行政区划列表
export const getRegionList = (query: Record<string, any>) => {
  return request<RespondPageType<TypesysRegionDTO>>({
    url: "/system/region/list",
    method: "get",
    params: query,
  });
};

// 获取行政区划树形数据
export const getRegionThreeList = (query: Record<string, any>) => {
  return request<RespondDataType<TypeThreeDTO[]>>({
    url: "/system/region/regionTree",
    method: "get",
    params: query,
  });
};

// 获取行政区划详情
export const getRegionInfo = (data: number) => {
  return request<RespondDataType<TypesysRegionDTO>>({
    url: "/system/region/" + data,
    method: "get",
  });
};

// 新增
export const saveRegion = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/system/region/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateRegion = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/system/region/update",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteRegion = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/system/region/" + data,
    method: "delete",
  });
};
